Bug 504229 - setroubleshoot: SELinux is preventing vim (sandbox_t) "open" usr_t.
setroubleshoot: SELinux is preventing vim (sandbox_t) "open" usr_t.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:a5a967fe1f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 17:25 EDT by Thomas Liu
Modified: 2009-08-03 11:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-03 11:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Liu 2009-06-04 17:25:20 EDT
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing vim (sandbox_t) "open" usr_t.

Detailed Description:

SELinux denied access requested by vim. It is not expected that this access is
required by vim and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:sandbox_t:s0:c71,c344
Target Context                system_u:object_r:usr_t:s0
Target Objects                /usr/share/vim/vim72/plugin/matchparen.vim [ file
                              ]
Source                        vim
Source Path                   /usr/bin/vim
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           vim-enhanced-7.2.148-1.fc11
Target RPM Packages           vim-common-7.2.148-1.fc11
Policy RPM                    selinux-policy-3.6.12-45.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux Ares 2.6.29.4-167.fc11.i586 #1 SMP Wed May
                              27 17:14:37 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Wed 03 Jun 2009 02:27:57 PM EDT
Last Seen                     Wed 03 Jun 2009 02:27:57 PM EDT
Local ID                      a45bd02d-875c-4e4d-965c-30a361a14ae0
Line Numbers                  

Raw Audit Messages            

node=Ares type=AVC msg=audit(1244053677.121:275): avc:  denied  { open } for  pid=4212 comm="vim" name="matchparen.vim" dev=dm-1 ino=18143 scontext=unconfined_u:unconfined_r:sandbox_t:s0:c71,c344 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=Ares type=SYSCALL msg=audit(1244053677.121:275): arch=40000003 syscall=5 success=no exit=-13 a0=87a84a8 a1=8000 a2=1b6 a3=0 items=1 ppid=4211 pid=4212 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts2 ses=1 comm="vim" exe="/usr/bin/vim" subj=unconfined_u:unconfined_r:sandbox_t:s0:c71,c344 key=(null)

node=Ares type=CWD msg=audit(1244053677.121:275): cwd="/"

node=Ares type=PATH msg=audit(1244053677.121:275): item=0 name="/usr/share/vim/vim72/plugin/matchparen.vim" inode=18143 dev=fd:01 mode=0100644 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:usr_t:s0
Comment 1 Bug Zapper 2009-06-09 13:06:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.